<?php 
require_once $_SERVER['DOCUMENT_ROOT'].'/system/App.php';
$title = 'Регистрация';
require_once ROOT.'/system/header.php';
$user->access('guest');

?>
<div class="col-sm"></div>

<div class="col-sm-10 col-md-8 col-lg-4">
	<div id="alerts"></div>
	<script type="text/javascript">
	$(document).ready(function () {
		
		$( "#inputNumber" ).focus(function() {
			$('#labelNumber').text('89181234567');
		}).blur(function() {
			$('#labelNumber').text($('#labelNumber').attr('data-text'));
		});
		
		$('#exampleCheck1').on('change', function(e) {
			if ($(this).prop('checked'))
			{
				$('#okButton').prop('disabled', false);
			} 
			else
			{
				$('#okButton').prop('disabled', true);
			}
		});
		
		$('#okButton').on('click', function(e) {
			e.preventDefault();
			var formData = $('#regForm').serialize();
			var alerts = $('#alerts');
			
			$.ajax({
			url: '/AJAX/login/registration.php',
			type: 'POST',
			data: formData,
			dataType: 'json',
			success: function(json) {
				
				if(json['error'] == 1) {
					$(alerts).html('<div class="alert alert-danger">'+json['comment']+'</div>');
				} else if(json['success'] == 1) {
					$(alerts).html('<div class="alert alert-success">'+json['comment']+'</div>');
				}
				setTimeout(function () {
					$(alerts).html('');
					if(json['success'] == 1) {
						location.href = '<?=HOME.'/authorization'?>';
					}
				}, 3000);
			},
			error: function(xhr, ajaxOptions, thrownError) {
				alert(thrownError + "\r\n" + xhr.statusText + "\r\n " + xhr.responseText);
			}
			});
		});
	});
	</script>
	
	<div class="card">
        <div class="card-body">
			<p class="text-center d-none">
				Перед регистрацией не забудьте прочитать <a href="/rules" class="card-link text-bold">правила</a>.
			</p>

			<form action="/AJAX/login/registration.php" method="POST" id="regForm">
				<div class="form-group">
					<label class="form-check-label text-secondary" for="inputName">Имя</label>
					<input type="name" class="form-control input-inset" id="inputName" name="name">
				</div>
				<div class="form-group">
					<label class="form-check-label text-secondary" for="inputLastName">Фамилия</label>
					<input type="name" class="form-control input-inset" id="inputLastName" name="last_name">
				</div>
				<div class="form-group">
				    <label class="form-check-label text-secondary" for="inputNumber" id="labelNumber" data-text="Номер телефона">Номер телефона</label>
					<input type="number" class="form-control input-inset" id="inputNumber" name="number">
				</div>
				
				<div class="form-group">
					<label class="form-check-label text-secondary" for="inputGender">Пол</label>
					<select class="form-control input-inset" name="gender" id="inputGender">
						<option value="1">Мужской</option>
						<option value="0">Женский</option>
					</select>
				</div>

                <div class="form-check mb-4">
                    <input type="checkbox" class="form-check-input" id="exampleCheck1">
                    <label class="form-check-label" for="exampleCheck1">Принимаю условия и <a href="/rules" class="text-info">правила</a> сервиса</label>
                </div>
                
				<div class="text-center">
					<button type="submit" class="btn btn-md btn-theme" id="okButton" disabled>Зарегистрироваться</button>
				</div>
			</form>
		</div>
		<div class="card-footer">
			<a href="/authorization" class="btn btn-md btn-theme-link btn-block" name="ok">Уже есть профиль?</a>
		</div>
	</div>
</div>

<div class="col-sm"></div>
<?php
require ROOT.'/system/footer.php';
?>